//
//	Copyright © 2009 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
	namespace Math
	{
		class VWBodyEdge
		{
			friend class VWBody;
		public:
			// construction
							VWBodyEdge();
							VWBodyEdge(const VWBodyEdge& src);
			virtual			~VWBodyEdge();

			VWBodyEdge&		operator=(const VWBodyEdge& src);

		public:
			VWNURBSCurve	GetEdgeCurve();

		protected:
							VWBodyEdge(int edgeID);

		private:
			IVWUnknown*	fp;
			int			fBodyEdgeID;
		};
	}
}